package com.bocloud.nms.model.veeam.job;

public class LinuxHostSSHSettingsModel {

    private Integer sshTimeOutMs;
    private Integer portRangeStart;
    private Integer portRangeEnd;
    /**
     * If true, the server is run on this side.
     */
    private Boolean serverThisSide;
    /**
     *从Veeam控制台到Linux服务器的控制通道的端口
     */
    private Integer managementPort;

    public Integer getSshTimeOutMs() {
        return sshTimeOutMs;
    }

    public void setSshTimeOutMs(Integer sshTimeOutMs) {
        this.sshTimeOutMs = sshTimeOutMs;
    }

    public Integer getPortRangeStart() {
        return portRangeStart;
    }

    public void setPortRangeStart(Integer portRangeStart) {
        this.portRangeStart = portRangeStart;
    }

    public Integer getPortRangeEnd() {
        return portRangeEnd;
    }

    public void setPortRangeEnd(Integer portRangeEnd) {
        this.portRangeEnd = portRangeEnd;
    }

    public Boolean getServerThisSide() {
        return serverThisSide;
    }

    public void setServerThisSide(Boolean serverThisSide) {
        this.serverThisSide = serverThisSide;
    }

    public Integer getManagementPort() {
        return managementPort;
    }

    public void setManagementPort(Integer managementPort) {
        this.managementPort = managementPort;
    }

    @Override
    public String toString() {
        return "LinuxHostSSHSettingsModel{" +
                "sshTimeOutMs=" + sshTimeOutMs +
                ", portRangeStart=" + portRangeStart +
                ", portRangeEnd=" + portRangeEnd +
                ", serverThisSide=" + serverThisSide +
                ", managementPort=" + managementPort +
                '}';
    }
}
